package org.ks1.j3dbvh;

import org.ks1.j3dbvh.bvh.*;
import javax.media.j3d.*;
import java.io.*;
import java.net.*;

public class BVHData {
    ActionGenerator actionGenerator;

    public BVHData(String urlString) {
        try {
            InputStream in = new URL(urlString).openStream();
            Reader reader = new InputStreamReader(in);
            actionGenerator = ActionGenerator.generate(reader);
        } catch (Exception e) {
            actionGenerator = null;
        }
    }

    public Node getNode() {
        if (actionGenerator == null)
            return new com.sun.j3d.utils.geometry.ColorCube(0.5);
        else
            return actionGenerator.rootGroup;
    }

    public void start() {
System.out.println("gaha1");
        if (actionGenerator != null)
            actionGenerator.start();
System.out.println("gaha2");
    }
}
